%define major		1
%define libnamecore	%mklibname %{name}core %{major}
%define libnamewdt	%mklibname %{name}widgets %{major}
%define develname	%mklibname %{name} -d

Name:			tano
Version:		1.9.93
Release:		%mkrel 1
Summary:		An open-source cross-platform IP TV player
Group:			Video/Television
License:		GPLv3
URL:			http://tano.si/tano-player/
# Snapshot from GitHub repo: https://github.com/ntadej/tano
# 1.9.93 untagged but released on 20160123
# Repacked to remove Windows DLLs
Source0:		%{name}-%{version}.tar.xz
Patch0:			%{name}-1.2.1-suse-fix-icon-install-path.patch
Patch1:			%{name}-1.2.1-rosa-fix-soname.patch

BuildRequires:		cmake
BuildRequires:		pkgconfig(Qt5Concurrent)
BuildRequires:		pkgconfig(Qt5Core)
BuildRequires:		pkgconfig(Qt5Gui)
BuildRequires:		pkgconfig(Qt5Help)
BuildRequires:		pkgconfig(Qt5Network)
BuildRequires:		pkgconfig(Qt5PrintSupport)
BuildRequires:		pkgconfig(Qt5Sql)
BuildRequires:		pkgconfig(Qt5Widgets)
BuildRequires:		pkgconfig(Qt5Xml)
BuildRequires:		pkgconfig(libVLCQtCore)
BuildRequires:		pkgconfig(libVLCQtWidgets)
BuildRequires:		qttools5

Requires:		vlc-plugin-common

%description
Tano is an open-source cross-platform IP TV player. It is combining
Qt and Videolan libraries. Project started because of a need of a
simple IP TV player on Linux providing EPG.

%prep
%setup -q

%build
%cmake_qt5
%make_build

%install
%make_install -C build

%files
%doc CHANGELOG.md README.md VERSION
%license LICENSE.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sun Jun 04 2017 akien <akien> 1.9.93-1.mga6
+ Revision: 1106589
- Version 1.9.93 (2.0 beta3), fixes build with vlc-qt 1.1.0
- Rebuild for vlc-qt 1.1.0

* Fri Feb 05 2016 umeabot <umeabot> 1.2.1-10.mga6
+ Revision: 937388
- Mageia 6 Mass Rebuild

* Sun Nov 22 2015 alexl <alexl> 1.2.1-9.mga6
+ Revision: 904960
- fix build with Qt5>= 5.5
- new url
- s/makeinstall_std/make_install/

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-8.mga5
+ Revision: 742214
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-7.mga5
+ Revision: 689689
- Mageia 5 Mass Rebuild

* Sat Apr 12 2014 daviddavid <daviddavid> 1.2.1-6.mga5
+ Revision: 613632
- rename Patch0 and Patch1 (according Mageia policy)
- add a Patch2 for added more translations on desktop file
- switch to Qt5 builder (source package allows it)
- add a devel package
- rename Patch0
- rename Patch1

* Thu Apr 10 2014 daviddavid <daviddavid> 1.2.1-5.mga5
+ Revision: 613306
- use correct libification
- add a Patch1 to fix soname
- update URL
- add doc

* Mon Apr 07 2014 alexl <alexl> 1.2.1-4.mga5
+ Revision: 612513
- add fix-icon-install-path patch

* Mon Apr 07 2014 alexl <alexl> 1.2.1-3.mga5
+ Revision: 612504
- use pkgconfig()
- add Requires vlc-plugin-common
- change Categories for desktop

* Sun Apr 06 2014 alexl <alexl> 1.2.1-2.mga5
+ Revision: 612454
- disable check update
- disable parallel build
- imported package tano

